declare const parseAsNull: (t: unknown) => Readonly<{
    elseGet: <U>(u: U) => U | null;
    elseLazyGet: <A, U_1 extends () => A>(u: U_1) => A | null;
    elseThrow: (message: string) => null;
}>;
declare const parseAsString: (t: unknown) => Readonly<{
    elseGet: <U>(u: U) => string | U;
    elseLazyGet: <A, U_1 extends () => A>(u: U_1) => string | A;
    elseThrow: (message: string) => string;
}>;
declare const parseAsBoolean: (t: unknown) => Readonly<{
    elseGet: <U>(u: U) => boolean | U;
    elseLazyGet: <A, U_1 extends () => A>(u: U_1) => boolean | A;
    elseThrow: (message: string) => boolean;
}>;
declare const parseAsNumber: (t: unknown) => {
    inRangeOf: (min: number, max: number) => Readonly<{
        elseGet: <U>(u: U) => number | U;
        elseLazyGet: <A, U_1 extends () => A>(u: U_1) => number | A;
        elseThrow: (message: string) => number;
    }>;
    elseGet: <U>(u: U) => number | U;
    elseLazyGet: <A, U_1 extends () => A>(u: U_1) => number | A;
    elseThrow: (message: string) => number;
};
/**
 * Although it can be used to parse anything, this is recommended to be used to parse as a specified non-object type
 * @returns the Options object
 */
declare const parseAsCustomType: <T>(t: unknown, isParseable: (t: any) => boolean) => Readonly<{
    elseGet: <U>(u: U) => T | U;
    elseLazyGet: <A, U_1 extends () => A>(u: U_1) => T | A;
    elseThrow: (message: string) => T;
}>;
export { parseAsBoolean, parseAsString, parseAsNumber, parseAsNull, parseAsCustomType, };
